/****************************************************************************
 ** ScStw Styling
 ** Copyright (C) 2020  Itsblue development
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#include "scstwapptheme.h"

ScStwAppTheme::ScStwAppTheme(QString name, QVariantMap colors, QVariantMap icons, QVariantMap fonts, QVariantMap images, QObject *parent) : QObject(parent)
{
    this->name = name;
    this->colors = colors;
    this->icons = icons;
    this->fonts = fonts;
    this->images = images;
}

QString ScStwAppTheme::getName() {
    return this->name;
}

QVariant ScStwAppTheme::getColors() {
    return this->colors;
}
QVariant ScStwAppTheme::getIcons() {
    return this->icons;
}
QVariant ScStwAppTheme::getFonts() {
    return this->fonts;
}
QVariant ScStwAppTheme::getImages() {
    return this->images;
}
